Bug 56170 - missing bind line in /etc/pcmcia/config
missing bind line in /etc/pcmcia/config
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-13 11:22 EST by Matt Vestal
Modified: 2015-01-04 17:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Vestal 2001-11-13 11:22:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i586)

Description of problem:
error message in /var/log/messages:
 test cardmgr[2651]: config error, file './config.opts' line 8: no function
bindings

The last device listed in the /etc/pcmcia/config file has no bind
associated with it, causing the cardmgr to not read config.opts.  The
3.1.24 version has the line:
bind "serial_cb"
However, adding that line results in other errors.  Commenting out boh
lines for the Xircom RBM56G Modem is the easiest fix.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -i kernel-pcmcia-cs-3.1.27-10.i386.rpm
2.edit /etc/sysconfig/pcmcia for "PCMCIA=yes" and "PCIC=i82365"
3./etc/rc.d/init.d/pcmcia start - error shows in /var/log/messages
	

Actual Results:   test cardmgr[2651]: config error, file './config.opts'
line 8: no function bindings

In /var/log/messages.  Settings in /etc/pcmcia/config.opts are ignored

Expected Results:  /etc/pcmcia/config.opts should've been read and
processed

Additional info:
Comment 1 Matt Vestal 2001-11-13 11:56:04 EST
I indicated that the /etc/pcmcia/config.opts file is not read if the two lines
are not commented out.  I was wrong about that.  The ISA IRQs shown in
/var/log/messages when the PCMCIA service is started do not reflect the excluded
IRQs from /etc/pcmcia/config.opts, and thus made me think that the file was be
skipped over.

There is, however, still a problem with the /etc/pcmcia/config file, though it
is very minor.

Note You need to log in before you can comment on or make changes to this bug.